== Why is this an issue?

include::../description.adoc[]

=== Noncompliant code example

[source,java]
----
public class MyClass<TYPE> { // Noncompliant
  <TYPE> void method(TYPE t) { // Noncompliant
  }
}
----

=== Compliant solution

[source,java]
----
public class MyClass<T> { 
  <T> void method(T t) {
  }
}
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

=== Parameters

.format
****
_String_

----
^[A-Z][0-9]?$
----

Regular expression used to check the type parameter names against.
****


'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
